﻿Imports System.Data.SqlClient
Imports System.Data

Public Class DataLayer

#Region "GetDataSet Methods"
    Public Shared Function GetDataSet(ByVal sql As String, ByVal connectString As String) As DataSet
        Dim cmd As SqlCommand = Nothing
        Dim cnn As SqlConnection = Nothing

        '  Create Command Object
        cmd = New SqlCommand(sql)
        '  Create Connection Object
        cnn = New SqlConnection(connectString)
        '  Assign Connection to Command Object
        cmd.Connection = cnn

        '  Call Overloaded GetDataSet method
        Return GetDataSet(cmd)
    End Function

    Public Shared Function GetDataSet(ByVal cmd As SqlCommand) As DataSet
        Dim ds As New DataSet()
        Dim da As SqlDataAdapter = Nothing

        '  Create Data Adapter
        da = New System.Data.SqlClient.SqlDataAdapter(cmd)
        da.Fill(ds)
        cmd.Connection.Close()
        cmd.Connection.Dispose()

        Return ds
    End Function
#End Region

#Region "GetDataTable Methods"
    Public Shared Function GetDataTable(ByVal sql As String, ByVal connectString As String) As DataTable
        Return GetDataSet(sql, connectString).Tables(0)
    End Function

    Public Shared Function GetDataTable(ByVal cmd As SqlCommand) As DataTable
        Return GetDataSet(cmd).Tables(0)
    End Function
#End Region

#Region "'Create' methods"
    Public Shared Function CreateCommand(ByVal sql As String) As SqlCommand
        Return New SqlCommand(sql)
    End Function

    Public Shared Function CreateConnection(ByVal connectString As String) As SqlConnection
        Return New SqlConnection(connectString)
    End Function

    Public Shared Function CreateParameter(ByVal name As String, ByVal value As Object) As SqlParameter
        Return New SqlParameter(name, value)
    End Function
#End Region

End Class
