﻿
Imports System.Data

Public Class LogData
    Inherits DataClassBase

#Region "Public Properties"
    Public Property Entity() As Log
#End Region

#Region "GetProject Method"
    Public Function BuildCollection() As LogCollection
        Dim ret As New LogCollection()
        Dim dt As DataTable

        SQL = "SELECT Top 5000 * FROM dbo.Log"

        CommandObject = DataLayer.CreateCommand(SQL)
        CommandObject.Connection = DataLayer.CreateConnection(MyBase.ConnectString)
        dt = DataLayer.GetDataTable(CommandObject)
        If dt IsNot Nothing Then
            RowsAffected = dt.Rows.Count
            For Each dr As DataRow In dt.Rows
                ret.Add(DataRowToEntity(dr))
            Next dr
        End If

        Return ret
    End Function
#End Region

#Region "DataRowToEntity Method"
    Public Function DataRowToEntity(ByVal dr As DataRow) As Log
        Dim ret As New Log()

        ret.ID = Convert.ToInt64(dr("ID"))
        ret.ErrorID = dr("ErrorID").ToString()
        ret.LogLevel = dr("LogLevel").ToString()
        ret.LogTable = dr("LogTable").ToString()
        ret.LogAction = dr("LogAction").ToString()
        ret.LogMessage = dr("LogMessage").ToString()
        ret.LogExceptionMessage = dr("LogExceptionMessage").ToString()
        ret.WPI = dr("WPI").ToString()
        ret.IPI = dr("IPI").ToString()
        ret.IPE = dr("IPE").ToString()
        ret.CreatedDate = Convert.ToDateTime(dr("CreatedDate"))

        Return ret
    End Function
#End Region

End Class
