﻿Imports System.ComponentModel
Imports System.Collections.ObjectModel
Imports System.ServiceModel
Imports System.Timers

Class viewModelLog
    Inherits CommonBase


    Private _DataCollection As ObservableCollection(Of Log)

    Public Property DataCollection As ObservableCollection(Of Log)
        Get
            Return _DataCollection
        End Get
        Set(ByVal value As ObservableCollection(Of Log))
            _DataCollection = value
            RaisePropertyChanged("DataCollection")
        End Set
    End Property

    Private _vmMessage As String = String.Empty

    Public Property vmMessage As String
        Get
            Return _vmMessage
        End Get
        Set(ByVal value As String)
            _vmMessage = value
            RaisePropertyChanged("vmMessage")
        End Set
    End Property

    Public Sub New()
        MyBase.New()

        DataCollection = New ObservableCollection(Of Log)()
    End Sub

    Public Sub LoadData()
        DataCollection = New ObservableCollection(Of Log)()

        Dim data As New LogData

        Try
            DataCollection = data.BuildCollection()

        Catch ex As Exception
            vmMessage = ex.Message
            MsgBox(ex.Message)
        End Try
    End Sub

End Class